### Constructor

# GUPnP RootDevice new

#### Declaration [src]

    GUPnPRootDevice*
    gupnp_root_device_new (
      GUPnPContext* context,
      const char* description_path,
      const char* description_folder,
      GError** error
    )

#### Description [src]

Create a new `GUPnPRootDevice` object, automatically loading and parsing device description document from `description_path`.

#### Parameters

`context` | `GUPnPContext`
| The `GUPnPContext`.
| The data is owned by the caller of the function.
`description_path` | `const char*`
| Path to device description document. This could either be an absolute path or path relative to `description_folder`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`description_folder` | `const char*`
| Path to directory where description documents are provided.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GUPnPRootDevice`
| A new `GUPnPRootDevice` object.
| The caller of the function takes ownership of the data, and is responsible for freeing it.